> ## Documentation Index
> Fetch the complete documentation index at: https://synthlabs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke a personal access token

> Revoke one token owned by the authenticated user. This administration operation requires an interactive user JWT.



## OpenAPI

````yaml /api-reference/openapi.json delete /api/v1/users/{user_id}/personal-access-tokens/{token_id}
openapi: 3.1.0
info:
  title: Synth API Reference
  version: 2026-08-23.alpha
  description: HTTP API for your account, tasks, datasets, agent runs and usage.
servers:
  - url: https://sprites-gateway.api.synthlabs.ai
    description: Synth API
security: []
tags:
  - name: Identity
    description: Manage customer tokens without exposing internal service credentials.
  - name: Registry
    description: >-
      Create, discover, set visibility, version, execute, and inspect results
      for Harbor-compatible tasks and datasets.
  - name: Managed execution
    description: Validate, run, observe, and retrieve Harbor-compatible managed work.
  - name: Usage
    description: Inspect authoritative current rolling quota.
paths:
  /api/v1/users/{user_id}/personal-access-tokens/{token_id}:
    delete:
      tags:
        - Identity
      summary: Revoke a personal access token
      description: >-
        Revoke one token owned by the authenticated user. This administration
        operation requires an interactive user JWT.
      operationId: revokePersonalAccessToken
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            format: uuid
            title: User Id
            type: string
        - in: path
          name: token_id
          required: true
          schema:
            format: uuid
            title: Token Id
            type: string
      responses:
        '204':
          description: Successful Response
        '401':
          description: Interactive login is missing, invalid, or expired
        '403':
          description: >-
            Caller is not the requested user, used a PAT/API key, or no longer
            has active organization membership
        '404':
          description: Personal access token not found
        '422':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/HTTPValidationError'
                  - properties:
                      detail:
                        title: Detail
                        type: string
                    required:
                      - detail
                    title: PatCreateOrgClaimError
                    type: object
          description: >-
            Request validation failed or the login lacks a top-level
            `organization_id` claim
        '503':
          description: PAT storage is temporarily unavailable
      security:
        - UserBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    UserBearer:
      description: Synth customer access token for the current user and organization.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.